The RemoteReferenceCreatedEvent is fired by an ObservableModel when a remote reference is created.

### Hierarchy

- RemoteReferenceCreatedEvent

### Implements

- IConvergenceEvent

## Index

### Properties

- element
- model
- name
- reference
- NAME

## Properties

### Optionalelement

element: RealTimeElement<any>

The element to which this reference is bound to, or `undefined` if it is not yet bound

### model

model: RealTimeModel

### name

name: string = RemoteReferenceCreatedEvent.NAME

Implementation of IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### reference

reference: ModelReference<any>

The reference that was just created

### StaticNAME

NAME: "reference" = "reference"